<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Google Search Bridge Test</title>
    <style type="text/css">
        * {font-family: tahoma; font-size: 11px;}
    </style>

    <script language="javascript" type="text/javascript">
// <!CDATA[

function btnSearch_onclick() {
    var tbQuery = new Sys.UI.TextBox($("tbQuery"));
    Dflying.GoogleSearch.Search({'query': tbQuery.get_text()}, onSearchComplete);
}

function onSearchComplete(result) {
    var sbResult = new Sys.StringBuilder();
    for (var i = 0; i < result.length; ++i) {
        sbResult.append("<hr />");
        sbResult.append("<b>" + result[i].Title + "</b><br />");
        sbResult.append("<a href=\"" + result[i].Url + "\" target=\"_blank\" >" + result[i].Url + "</a><br />");
        sbResult.append(result[i].Snippet);
    }
    $('result').innerHTML = sbResult.toString();
}

// ]]>
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager ID="scriptManager" runat="server">
            <Services>
                <atlas:ServiceReference Path="GoogleSearchBridge.asbx" />
            </Services>
        </atlas:ScriptManager>
        <input id="tbQuery" type="text" />
        <input id="btnSearch" type="button" value="Search!" onclick="return btnSearch_onclick()" />
        <div id="result">
        </div>
    </form>
</body>
</html>
